System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.SqlTypes.SqlTypeException

In order to avoid throwing this exception, you should always examine the IsNull property of the structure before accessing the Value property.

The exception that is thrown when the Value property of a structure is set to null.

- Constructor

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "DefaultMessageDisplayedByParameterlessCtorWriterMustSupply" This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The localized error message string.

  Initializes a new instance of the class with a system-supplied message that describes the error.

  1.0.5000.0
  2.0.0.0
- Constructor

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class with a specified message that describes the error.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  1.0.5000.0
  2.0.0.0
- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  For more information, see .

  Populates a with the data needed to serialize the target object.

  The SerializationInfo to populate with the data needed to serialize the target object. The destination for this serialization.